summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarry Smallbones <info@harrysmallbones.co.uk>2020-07-16 02:20:48 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-08-05 15:18:39 +0300
commit7465d77e0494934e9e400eb590b87b601b395a1a (patch)
treeaee63019b1e8f530e8ed0b4c6d0d951e3060dcfa
parentnet-misc/batctl: Remove outdated ebuild (diff)
downloadgentoo-7465d77e0494934e9e400eb590b87b601b395a1a.tar.gz
gentoo-7465d77e0494934e9e400eb590b87b601b395a1a.tar.bz2
gentoo-7465d77e0494934e9e400eb590b87b601b395a1a.zip
net-misc/batctl: Version bump to 2020.2
Signed-off-by: Harry Smallbones <info@harrysmallbones.co.uk> Package-Manager: Portage-2.3.99, Repoman-2.3.23 Closes: https://github.com/gentoo/gentoo/pull/16388 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--net-misc/batctl/Manifest1
-rw-r--r--net-misc/batctl/batctl-2020.2.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/net-misc/batctl/Manifest b/net-misc/batctl/Manifest
index 345bfff2a45..7c9bff480ca 100644
--- a/net-misc/batctl/Manifest
+++ b/net-misc/batctl/Manifest
@@ -1 +1,2 @@
DIST batctl-2020.1.tar.gz 112004 BLAKE2B fdf99b97edfb1b65df3b6cfd3b99148e21a6fc201c5a6b2d2bfeedddfa18e22903b33811d8b9adf6d4a2b53ab9ca35602fdb90b48f97fb40e4edf9643264609e SHA512 b6f4b98a3a8450badf7d8dda2c23e0f91a1f3e0c6d9db96d220451ee4f2f5ea703206a888d504cc3b8594c4255a6ccea851e4da6d1c7869842a62ee0bac6ce8b
+DIST batctl-2020.2.tar.gz 112155 BLAKE2B 9d36baf4f728163b12d63bf2b690b75633119ebc22a734668aaaae97d9c0a37ac1906dec40f62987d7c9db2ca6b0c7867164c989f3f3f5834bbc5c562b842852 SHA512 4990eece371320107cd522f5dc6ff4ecd2867d8b77ddb8a09b8c8fc81c6cf2a88df6635f026b16a2c59fc05532a82ecafae206fb1581ac7e1f863043eb3afa93
diff --git a/net-misc/batctl/batctl-2020.2.ebuild b/net-misc/batctl/batctl-2020.2.ebuild
new file mode 100644
index 00000000000..dc9f33ff920
--- /dev/null
+++ b/net-misc/batctl/batctl-2020.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info toolchain-funcs
+
+DESCRIPTION="BATMAN advanced control and management tool"
+HOMEPAGE="https://www.open-mesh.org/"
+SRC_URI="https://downloads.open-mesh.org/batman/releases/batman-adv-${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2 MIT ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="dev-libs/libnl:3"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ if ! linux_config_exists || ! linux_chkconfig_present BATMAN_ADV; then
+ ewarn "batctl requires batman-adv kernel support"
+ fi
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" V=1 REVISION="gentoo-${PVR}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+ dodoc README.rst
+}